> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-8/v8-12/v8-12-2.md).

# Version 8.12.2 Changelog (2024-03-11)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### Fixes

General

* Fixed an issue where disabling enter keypress on a FreeText annotation would mess up editing mode.
* Fixed an issue where enabling enter keypress would not work.
* Fixed an issue where global editor settings were changed unexpectedly.
* Fixed an issue where FreeTexts were editable after navigating a document.
* Added annotation to the file attachment data object that gets returned by the `fileAttachmentDataAvailable` event when double-clicking file attachment annotations.

Security

* Fixed an issue with input validation of TextWidget input values.

## WebViewer UI

### Fixes

General

* Fixed an issue where it was not possible to add comments properly if the Notes Panel input cursor was off-screen.
* Fixed an issue where the note content would be automatically formatted as a list when entering bullet points.

General

* Fixed the issue that comment status is not shown when collapsed.
* Fixed custom redaction search pattern not setting the correct type property.
* Fixed the issue that `instance.UI.closeDocument` was causing an infinite loop.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/changelogs/version-8/v8-12/v8-12-2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
